My Project: dgTree< OBJECT, KEY >::Iterator Class Reference

My Project

Public Member Functions | List of all members
dgTree< OBJECT, KEY >::Iterator Class Reference

`#include <dgTree.h>`

## Public Member Functions

| Iterator (const dgTree< OBJECT, KEY > &me)
| ~Iterator ()
void | Begin ()
void | End ()
void | Set (dgTreeNode *const node)
| operator dgInt32 () const
void | operator++ ()
void | operator++ (dgInt32)
void | operator-- ()
void | operator-- (dgInt32)
OBJECT & | operator* () const
dgTreeNode * | GetNode () const
KEY | GetKey () const

## Constructor & Destructor Documentation

## § Iterator()

template<class OBJECT, class KEY>

dgTree< OBJECT, KEY >::Iterator::Iterator | ( | const dgTree< OBJECT, KEY > & | me | ) |

inline

## § ~Iterator()

template<class OBJECT, class KEY>

dgTree< OBJECT, KEY >::Iterator::~Iterator | ( |  | ) |

inline

## Member Function Documentation

## § Begin()

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Iterator::Begin | ( |  | ) |

inline

## § End()

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Iterator::End | ( |  | ) |

inline

## § GetKey()

template<class OBJECT, class KEY>

KEY dgTree< OBJECT, KEY >::Iterator::GetKey | ( |  | ) | const

inline

## § GetNode()

template<class OBJECT, class KEY>

dgTreeNode* dgTree< OBJECT, KEY >::Iterator::GetNode | ( |  | ) | const

inline

## § operator dgInt32()

template<class OBJECT, class KEY>

dgTree< OBJECT, KEY >::Iterator::operator dgInt32 | ( |  | ) | const

inline

## § operator*()

template<class OBJECT, class KEY>

OBJECT& dgTree< OBJECT, KEY >::Iterator::operator* | ( |  | ) | const

inline

## § operator++() [1/2]

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Iterator::operator++ | ( |  | ) |

inline

## § operator++() [2/2]

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Iterator::operator++ | ( | dgInt32 |  | ) |

inline

## § operator--() [1/2]

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Iterator::operator-- | ( |  | ) |

inline

## § operator--() [2/2]

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Iterator::operator-- | ( | dgInt32 |  | ) |

inline

## § Set()

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Iterator::Set | ( | dgTreeNode *const | node | ) |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgTree.h